Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ff1e::/16
First address
ff1e::
Last address
ff1e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ff1e:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
e.1.f.f.ip6.arpa
Split into smaller subnets/32

ff1e::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1ff1e::/32ff1e:0:ffff:ffff:ffff:ffff:ffff:ffff
2ff1e:1::/32ff1e:1:ffff:ffff:ffff:ffff:ffff:ffff
3ff1e:2::/32ff1e:2:ffff:ffff:ffff:ffff:ffff:ffff
4ff1e:3::/32ff1e:3:ffff:ffff:ffff:ffff:ffff:ffff
5ff1e:4::/32ff1e:4:ffff:ffff:ffff:ffff:ffff:ffff
6ff1e:5::/32ff1e:5:ffff:ffff:ffff:ffff:ffff:ffff
7ff1e:6::/32ff1e:6:ffff:ffff:ffff:ffff:ffff:ffff
8ff1e:7::/32ff1e:7:ffff:ffff:ffff:ffff:ffff:ffff
9ff1e:8::/32ff1e:8:ffff:ffff:ffff:ffff:ffff:ffff
10ff1e:9::/32ff1e:9:ffff:ffff:ffff:ffff:ffff:ffff
11ff1e:a::/32ff1e:a:ffff:ffff:ffff:ffff:ffff:ffff
12ff1e:b::/32ff1e:b:ffff:ffff:ffff:ffff:ffff:ffff
13ff1e:c::/32ff1e:c:ffff:ffff:ffff:ffff:ffff:ffff
14ff1e:d::/32ff1e:d:ffff:ffff:ffff:ffff:ffff:ffff
15ff1e:e::/32ff1e:e:ffff:ffff:ffff:ffff:ffff:ffff
16ff1e:f::/32ff1e:f:ffff:ffff:ffff:ffff:ffff:ffff
17ff1e:10::/32ff1e:10:ffff:ffff:ffff:ffff:ffff:ffff
18ff1e:11::/32ff1e:11:ffff:ffff:ffff:ffff:ffff:ffff
19ff1e:12::/32ff1e:12:ffff:ffff:ffff:ffff:ffff:ffff
20ff1e:13::/32ff1e:13:ffff:ffff:ffff:ffff:ffff:ffff
21ff1e:14::/32ff1e:14:ffff:ffff:ffff:ffff:ffff:ffff
22ff1e:15::/32ff1e:15:ffff:ffff:ffff:ffff:ffff:ffff
23ff1e:16::/32ff1e:16:ffff:ffff:ffff:ffff:ffff:ffff
24ff1e:17::/32ff1e:17:ffff:ffff:ffff:ffff:ffff:ffff
25ff1e:18::/32ff1e:18:ffff:ffff:ffff:ffff:ffff:ffff
26ff1e:19::/32ff1e:19:ffff:ffff:ffff:ffff:ffff:ffff
27ff1e:1a::/32ff1e:1a:ffff:ffff:ffff:ffff:ffff:ffff
28ff1e:1b::/32ff1e:1b:ffff:ffff:ffff:ffff:ffff:ffff
29ff1e:1c::/32ff1e:1c:ffff:ffff:ffff:ffff:ffff:ffff
30ff1e:1d::/32ff1e:1d:ffff:ffff:ffff:ffff:ffff:ffff
31ff1e:1e::/32ff1e:1e:ffff:ffff:ffff:ffff:ffff:ffff
32ff1e:1f::/32ff1e:1f:ffff:ffff:ffff:ffff:ffff:ffff
33ff1e:20::/32ff1e:20:ffff:ffff:ffff:ffff:ffff:ffff
34ff1e:21::/32ff1e:21:ffff:ffff:ffff:ffff:ffff:ffff
35ff1e:22::/32ff1e:22:ffff:ffff:ffff:ffff:ffff:ffff
36ff1e:23::/32ff1e:23:ffff:ffff:ffff:ffff:ffff:ffff
37ff1e:24::/32ff1e:24:ffff:ffff:ffff:ffff:ffff:ffff
38ff1e:25::/32ff1e:25:ffff:ffff:ffff:ffff:ffff:ffff
39ff1e:26::/32ff1e:26:ffff:ffff:ffff:ffff:ffff:ffff
40ff1e:27::/32ff1e:27:ffff:ffff:ffff:ffff:ffff:ffff
41ff1e:28::/32ff1e:28:ffff:ffff:ffff:ffff:ffff:ffff
42ff1e:29::/32ff1e:29:ffff:ffff:ffff:ffff:ffff:ffff
43ff1e:2a::/32ff1e:2a:ffff:ffff:ffff:ffff:ffff:ffff
44ff1e:2b::/32ff1e:2b:ffff:ffff:ffff:ffff:ffff:ffff
45ff1e:2c::/32ff1e:2c:ffff:ffff:ffff:ffff:ffff:ffff
46ff1e:2d::/32ff1e:2d:ffff:ffff:ffff:ffff:ffff:ffff
47ff1e:2e::/32ff1e:2e:ffff:ffff:ffff:ffff:ffff:ffff
48ff1e:2f::/32ff1e:2f:ffff:ffff:ffff:ffff:ffff:ffff
49ff1e:30::/32ff1e:30:ffff:ffff:ffff:ffff:ffff:ffff
50ff1e:31::/32ff1e:31:ffff:ffff:ffff:ffff:ffff:ffff
51ff1e:32::/32ff1e:32:ffff:ffff:ffff:ffff:ffff:ffff
52ff1e:33::/32ff1e:33:ffff:ffff:ffff:ffff:ffff:ffff
53ff1e:34::/32ff1e:34:ffff:ffff:ffff:ffff:ffff:ffff
54ff1e:35::/32ff1e:35:ffff:ffff:ffff:ffff:ffff:ffff
55ff1e:36::/32ff1e:36:ffff:ffff:ffff:ffff:ffff:ffff
56ff1e:37::/32ff1e:37:ffff:ffff:ffff:ffff:ffff:ffff
57ff1e:38::/32ff1e:38:ffff:ffff:ffff:ffff:ffff:ffff
58ff1e:39::/32ff1e:39:ffff:ffff:ffff:ffff:ffff:ffff
59ff1e:3a::/32ff1e:3a:ffff:ffff:ffff:ffff:ffff:ffff
60ff1e:3b::/32ff1e:3b:ffff:ffff:ffff:ffff:ffff:ffff
61ff1e:3c::/32ff1e:3c:ffff:ffff:ffff:ffff:ffff:ffff
62ff1e:3d::/32ff1e:3d:ffff:ffff:ffff:ffff:ffff:ffff
63ff1e:3e::/32ff1e:3e:ffff:ffff:ffff:ffff:ffff:ffff
64ff1e:3f::/32ff1e:3f:ffff:ffff:ffff:ffff:ffff:ffff
65ff1e:40::/32ff1e:40:ffff:ffff:ffff:ffff:ffff:ffff
66ff1e:41::/32ff1e:41:ffff:ffff:ffff:ffff:ffff:ffff
67ff1e:42::/32ff1e:42:ffff:ffff:ffff:ffff:ffff:ffff
68ff1e:43::/32ff1e:43:ffff:ffff:ffff:ffff:ffff:ffff
69ff1e:44::/32ff1e:44:ffff:ffff:ffff:ffff:ffff:ffff
70ff1e:45::/32ff1e:45:ffff:ffff:ffff:ffff:ffff:ffff
71ff1e:46::/32ff1e:46:ffff:ffff:ffff:ffff:ffff:ffff
72ff1e:47::/32ff1e:47:ffff:ffff:ffff:ffff:ffff:ffff
73ff1e:48::/32ff1e:48:ffff:ffff:ffff:ffff:ffff:ffff
74ff1e:49::/32ff1e:49:ffff:ffff:ffff:ffff:ffff:ffff
75ff1e:4a::/32ff1e:4a:ffff:ffff:ffff:ffff:ffff:ffff
76ff1e:4b::/32ff1e:4b:ffff:ffff:ffff:ffff:ffff:ffff
77ff1e:4c::/32ff1e:4c:ffff:ffff:ffff:ffff:ffff:ffff
78ff1e:4d::/32ff1e:4d:ffff:ffff:ffff:ffff:ffff:ffff
79ff1e:4e::/32ff1e:4e:ffff:ffff:ffff:ffff:ffff:ffff
80ff1e:4f::/32ff1e:4f:ffff:ffff:ffff:ffff:ffff:ffff
81ff1e:50::/32ff1e:50:ffff:ffff:ffff:ffff:ffff:ffff
82ff1e:51::/32ff1e:51:ffff:ffff:ffff:ffff:ffff:ffff
83ff1e:52::/32ff1e:52:ffff:ffff:ffff:ffff:ffff:ffff
84ff1e:53::/32ff1e:53:ffff:ffff:ffff:ffff:ffff:ffff
85ff1e:54::/32ff1e:54:ffff:ffff:ffff:ffff:ffff:ffff
86ff1e:55::/32ff1e:55:ffff:ffff:ffff:ffff:ffff:ffff
87ff1e:56::/32ff1e:56:ffff:ffff:ffff:ffff:ffff:ffff
88ff1e:57::/32ff1e:57:ffff:ffff:ffff:ffff:ffff:ffff
89ff1e:58::/32ff1e:58:ffff:ffff:ffff:ffff:ffff:ffff
90ff1e:59::/32ff1e:59:ffff:ffff:ffff:ffff:ffff:ffff
91ff1e:5a::/32ff1e:5a:ffff:ffff:ffff:ffff:ffff:ffff
92ff1e:5b::/32ff1e:5b:ffff:ffff:ffff:ffff:ffff:ffff
93ff1e:5c::/32ff1e:5c:ffff:ffff:ffff:ffff:ffff:ffff
94ff1e:5d::/32ff1e:5d:ffff:ffff:ffff:ffff:ffff:ffff
95ff1e:5e::/32ff1e:5e:ffff:ffff:ffff:ffff:ffff:ffff
96ff1e:5f::/32ff1e:5f:ffff:ffff:ffff:ffff:ffff:ffff
97ff1e:60::/32ff1e:60:ffff:ffff:ffff:ffff:ffff:ffff
98ff1e:61::/32ff1e:61:ffff:ffff:ffff:ffff:ffff:ffff
99ff1e:62::/32ff1e:62:ffff:ffff:ffff:ffff:ffff:ffff
100ff1e:63::/32ff1e:63:ffff:ffff:ffff:ffff:ffff:ffff
101ff1e:64::/32ff1e:64:ffff:ffff:ffff:ffff:ffff:ffff
102ff1e:65::/32ff1e:65:ffff:ffff:ffff:ffff:ffff:ffff
103ff1e:66::/32ff1e:66:ffff:ffff:ffff:ffff:ffff:ffff
104ff1e:67::/32ff1e:67:ffff:ffff:ffff:ffff:ffff:ffff
105ff1e:68::/32ff1e:68:ffff:ffff:ffff:ffff:ffff:ffff
106ff1e:69::/32ff1e:69:ffff:ffff:ffff:ffff:ffff:ffff
107ff1e:6a::/32ff1e:6a:ffff:ffff:ffff:ffff:ffff:ffff
108ff1e:6b::/32ff1e:6b:ffff:ffff:ffff:ffff:ffff:ffff
109ff1e:6c::/32ff1e:6c:ffff:ffff:ffff:ffff:ffff:ffff
110ff1e:6d::/32ff1e:6d:ffff:ffff:ffff:ffff:ffff:ffff
111ff1e:6e::/32ff1e:6e:ffff:ffff:ffff:ffff:ffff:ffff
112ff1e:6f::/32ff1e:6f:ffff:ffff:ffff:ffff:ffff:ffff
113ff1e:70::/32ff1e:70:ffff:ffff:ffff:ffff:ffff:ffff
114ff1e:71::/32ff1e:71:ffff:ffff:ffff:ffff:ffff:ffff
115ff1e:72::/32ff1e:72:ffff:ffff:ffff:ffff:ffff:ffff
116ff1e:73::/32ff1e:73:ffff:ffff:ffff:ffff:ffff:ffff
117ff1e:74::/32ff1e:74:ffff:ffff:ffff:ffff:ffff:ffff
118ff1e:75::/32ff1e:75:ffff:ffff:ffff:ffff:ffff:ffff
119ff1e:76::/32ff1e:76:ffff:ffff:ffff:ffff:ffff:ffff
120ff1e:77::/32ff1e:77:ffff:ffff:ffff:ffff:ffff:ffff
121ff1e:78::/32ff1e:78:ffff:ffff:ffff:ffff:ffff:ffff
122ff1e:79::/32ff1e:79:ffff:ffff:ffff:ffff:ffff:ffff
123ff1e:7a::/32ff1e:7a:ffff:ffff:ffff:ffff:ffff:ffff
124ff1e:7b::/32ff1e:7b:ffff:ffff:ffff:ffff:ffff:ffff
125ff1e:7c::/32ff1e:7c:ffff:ffff:ffff:ffff:ffff:ffff
126ff1e:7d::/32ff1e:7d:ffff:ffff:ffff:ffff:ffff:ffff
127ff1e:7e::/32ff1e:7e:ffff:ffff:ffff:ffff:ffff:ffff
128ff1e:7f::/32ff1e:7f:ffff:ffff:ffff:ffff:ffff:ffff
129ff1e:80::/32ff1e:80:ffff:ffff:ffff:ffff:ffff:ffff
130ff1e:81::/32ff1e:81:ffff:ffff:ffff:ffff:ffff:ffff
131ff1e:82::/32ff1e:82:ffff:ffff:ffff:ffff:ffff:ffff
132ff1e:83::/32ff1e:83:ffff:ffff:ffff:ffff:ffff:ffff
133ff1e:84::/32ff1e:84:ffff:ffff:ffff:ffff:ffff:ffff
134ff1e:85::/32ff1e:85:ffff:ffff:ffff:ffff:ffff:ffff
135ff1e:86::/32ff1e:86:ffff:ffff:ffff:ffff:ffff:ffff
136ff1e:87::/32ff1e:87:ffff:ffff:ffff:ffff:ffff:ffff
137ff1e:88::/32ff1e:88:ffff:ffff:ffff:ffff:ffff:ffff
138ff1e:89::/32ff1e:89:ffff:ffff:ffff:ffff:ffff:ffff
139ff1e:8a::/32ff1e:8a:ffff:ffff:ffff:ffff:ffff:ffff
140ff1e:8b::/32ff1e:8b:ffff:ffff:ffff:ffff:ffff:ffff
141ff1e:8c::/32ff1e:8c:ffff:ffff:ffff:ffff:ffff:ffff
142ff1e:8d::/32ff1e:8d:ffff:ffff:ffff:ffff:ffff:ffff
143ff1e:8e::/32ff1e:8e:ffff:ffff:ffff:ffff:ffff:ffff
144ff1e:8f::/32ff1e:8f:ffff:ffff:ffff:ffff:ffff:ffff
145ff1e:90::/32ff1e:90:ffff:ffff:ffff:ffff:ffff:ffff
146ff1e:91::/32ff1e:91:ffff:ffff:ffff:ffff:ffff:ffff
147ff1e:92::/32ff1e:92:ffff:ffff:ffff:ffff:ffff:ffff
148ff1e:93::/32ff1e:93:ffff:ffff:ffff:ffff:ffff:ffff
149ff1e:94::/32ff1e:94:ffff:ffff:ffff:ffff:ffff:ffff
150ff1e:95::/32ff1e:95:ffff:ffff:ffff:ffff:ffff:ffff
151ff1e:96::/32ff1e:96:ffff:ffff:ffff:ffff:ffff:ffff
152ff1e:97::/32ff1e:97:ffff:ffff:ffff:ffff:ffff:ffff
153ff1e:98::/32ff1e:98:ffff:ffff:ffff:ffff:ffff:ffff
154ff1e:99::/32ff1e:99:ffff:ffff:ffff:ffff:ffff:ffff
155ff1e:9a::/32ff1e:9a:ffff:ffff:ffff:ffff:ffff:ffff
156ff1e:9b::/32ff1e:9b:ffff:ffff:ffff:ffff:ffff:ffff
157ff1e:9c::/32ff1e:9c:ffff:ffff:ffff:ffff:ffff:ffff
158ff1e:9d::/32ff1e:9d:ffff:ffff:ffff:ffff:ffff:ffff
159ff1e:9e::/32ff1e:9e:ffff:ffff:ffff:ffff:ffff:ffff
160ff1e:9f::/32ff1e:9f:ffff:ffff:ffff:ffff:ffff:ffff
161ff1e:a0::/32ff1e:a0:ffff:ffff:ffff:ffff:ffff:ffff
162ff1e:a1::/32ff1e:a1:ffff:ffff:ffff:ffff:ffff:ffff
163ff1e:a2::/32ff1e:a2:ffff:ffff:ffff:ffff:ffff:ffff
164ff1e:a3::/32ff1e:a3:ffff:ffff:ffff:ffff:ffff:ffff
165ff1e:a4::/32ff1e:a4:ffff:ffff:ffff:ffff:ffff:ffff
166ff1e:a5::/32ff1e:a5:ffff:ffff:ffff:ffff:ffff:ffff
167ff1e:a6::/32ff1e:a6:ffff:ffff:ffff:ffff:ffff:ffff
168ff1e:a7::/32ff1e:a7:ffff:ffff:ffff:ffff:ffff:ffff
169ff1e:a8::/32ff1e:a8:ffff:ffff:ffff:ffff:ffff:ffff
170ff1e:a9::/32ff1e:a9:ffff:ffff:ffff:ffff:ffff:ffff
171ff1e:aa::/32ff1e:aa:ffff:ffff:ffff:ffff:ffff:ffff
172ff1e:ab::/32ff1e:ab:ffff:ffff:ffff:ffff:ffff:ffff
173ff1e:ac::/32ff1e:ac:ffff:ffff:ffff:ffff:ffff:ffff
174ff1e:ad::/32ff1e:ad:ffff:ffff:ffff:ffff:ffff:ffff
175ff1e:ae::/32ff1e:ae:ffff:ffff:ffff:ffff:ffff:ffff
176ff1e:af::/32ff1e:af:ffff:ffff:ffff:ffff:ffff:ffff
177ff1e:b0::/32ff1e:b0:ffff:ffff:ffff:ffff:ffff:ffff
178ff1e:b1::/32ff1e:b1:ffff:ffff:ffff:ffff:ffff:ffff
179ff1e:b2::/32ff1e:b2:ffff:ffff:ffff:ffff:ffff:ffff
180ff1e:b3::/32ff1e:b3:ffff:ffff:ffff:ffff:ffff:ffff
181ff1e:b4::/32ff1e:b4:ffff:ffff:ffff:ffff:ffff:ffff
182ff1e:b5::/32ff1e:b5:ffff:ffff:ffff:ffff:ffff:ffff
183ff1e:b6::/32ff1e:b6:ffff:ffff:ffff:ffff:ffff:ffff
184ff1e:b7::/32ff1e:b7:ffff:ffff:ffff:ffff:ffff:ffff
185ff1e:b8::/32ff1e:b8:ffff:ffff:ffff:ffff:ffff:ffff
186ff1e:b9::/32ff1e:b9:ffff:ffff:ffff:ffff:ffff:ffff
187ff1e:ba::/32ff1e:ba:ffff:ffff:ffff:ffff:ffff:ffff
188ff1e:bb::/32ff1e:bb:ffff:ffff:ffff:ffff:ffff:ffff
189ff1e:bc::/32ff1e:bc:ffff:ffff:ffff:ffff:ffff:ffff
190ff1e:bd::/32ff1e:bd:ffff:ffff:ffff:ffff:ffff:ffff
191ff1e:be::/32ff1e:be:ffff:ffff:ffff:ffff:ffff:ffff
192ff1e:bf::/32ff1e:bf:ffff:ffff:ffff:ffff:ffff:ffff
193ff1e:c0::/32ff1e:c0:ffff:ffff:ffff:ffff:ffff:ffff
194ff1e:c1::/32ff1e:c1:ffff:ffff:ffff:ffff:ffff:ffff
195ff1e:c2::/32ff1e:c2:ffff:ffff:ffff:ffff:ffff:ffff
196ff1e:c3::/32ff1e:c3:ffff:ffff:ffff:ffff:ffff:ffff
197ff1e:c4::/32ff1e:c4:ffff:ffff:ffff:ffff:ffff:ffff
198ff1e:c5::/32ff1e:c5:ffff:ffff:ffff:ffff:ffff:ffff
199ff1e:c6::/32ff1e:c6:ffff:ffff:ffff:ffff:ffff:ffff
200ff1e:c7::/32ff1e:c7:ffff:ffff:ffff:ffff:ffff:ffff
201ff1e:c8::/32ff1e:c8:ffff:ffff:ffff:ffff:ffff:ffff
202ff1e:c9::/32ff1e:c9:ffff:ffff:ffff:ffff:ffff:ffff
203ff1e:ca::/32ff1e:ca:ffff:ffff:ffff:ffff:ffff:ffff
204ff1e:cb::/32ff1e:cb:ffff:ffff:ffff:ffff:ffff:ffff
205ff1e:cc::/32ff1e:cc:ffff:ffff:ffff:ffff:ffff:ffff
206ff1e:cd::/32ff1e:cd:ffff:ffff:ffff:ffff:ffff:ffff
207ff1e:ce::/32ff1e:ce:ffff:ffff:ffff:ffff:ffff:ffff
208ff1e:cf::/32ff1e:cf:ffff:ffff:ffff:ffff:ffff:ffff
209ff1e:d0::/32ff1e:d0:ffff:ffff:ffff:ffff:ffff:ffff
210ff1e:d1::/32ff1e:d1:ffff:ffff:ffff:ffff:ffff:ffff
211ff1e:d2::/32ff1e:d2:ffff:ffff:ffff:ffff:ffff:ffff
212ff1e:d3::/32ff1e:d3:ffff:ffff:ffff:ffff:ffff:ffff
213ff1e:d4::/32ff1e:d4:ffff:ffff:ffff:ffff:ffff:ffff
214ff1e:d5::/32ff1e:d5:ffff:ffff:ffff:ffff:ffff:ffff
215ff1e:d6::/32ff1e:d6:ffff:ffff:ffff:ffff:ffff:ffff
216ff1e:d7::/32ff1e:d7:ffff:ffff:ffff:ffff:ffff:ffff
217ff1e:d8::/32ff1e:d8:ffff:ffff:ffff:ffff:ffff:ffff
218ff1e:d9::/32ff1e:d9:ffff:ffff:ffff:ffff:ffff:ffff
219ff1e:da::/32ff1e:da:ffff:ffff:ffff:ffff:ffff:ffff
220ff1e:db::/32ff1e:db:ffff:ffff:ffff:ffff:ffff:ffff
221ff1e:dc::/32ff1e:dc:ffff:ffff:ffff:ffff:ffff:ffff
222ff1e:dd::/32ff1e:dd:ffff:ffff:ffff:ffff:ffff:ffff
223ff1e:de::/32ff1e:de:ffff:ffff:ffff:ffff:ffff:ffff
224ff1e:df::/32ff1e:df:ffff:ffff:ffff:ffff:ffff:ffff
225ff1e:e0::/32ff1e:e0:ffff:ffff:ffff:ffff:ffff:ffff
226ff1e:e1::/32ff1e:e1:ffff:ffff:ffff:ffff:ffff:ffff
227ff1e:e2::/32ff1e:e2:ffff:ffff:ffff:ffff:ffff:ffff
228ff1e:e3::/32ff1e:e3:ffff:ffff:ffff:ffff:ffff:ffff
229ff1e:e4::/32ff1e:e4:ffff:ffff:ffff:ffff:ffff:ffff
230ff1e:e5::/32ff1e:e5:ffff:ffff:ffff:ffff:ffff:ffff
231ff1e:e6::/32ff1e:e6:ffff:ffff:ffff:ffff:ffff:ffff
232ff1e:e7::/32ff1e:e7:ffff:ffff:ffff:ffff:ffff:ffff
233ff1e:e8::/32ff1e:e8:ffff:ffff:ffff:ffff:ffff:ffff
234ff1e:e9::/32ff1e:e9:ffff:ffff:ffff:ffff:ffff:ffff
235ff1e:ea::/32ff1e:ea:ffff:ffff:ffff:ffff:ffff:ffff
236ff1e:eb::/32ff1e:eb:ffff:ffff:ffff:ffff:ffff:ffff
237ff1e:ec::/32ff1e:ec:ffff:ffff:ffff:ffff:ffff:ffff
238ff1e:ed::/32ff1e:ed:ffff:ffff:ffff:ffff:ffff:ffff
239ff1e:ee::/32ff1e:ee:ffff:ffff:ffff:ffff:ffff:ffff
240ff1e:ef::/32ff1e:ef:ffff:ffff:ffff:ffff:ffff:ffff
241ff1e:f0::/32ff1e:f0:ffff:ffff:ffff:ffff:ffff:ffff
242ff1e:f1::/32ff1e:f1:ffff:ffff:ffff:ffff:ffff:ffff
243ff1e:f2::/32ff1e:f2:ffff:ffff:ffff:ffff:ffff:ffff
244ff1e:f3::/32ff1e:f3:ffff:ffff:ffff:ffff:ffff:ffff
245ff1e:f4::/32ff1e:f4:ffff:ffff:ffff:ffff:ffff:ffff
246ff1e:f5::/32ff1e:f5:ffff:ffff:ffff:ffff:ffff:ffff
247ff1e:f6::/32ff1e:f6:ffff:ffff:ffff:ffff:ffff:ffff
248ff1e:f7::/32ff1e:f7:ffff:ffff:ffff:ffff:ffff:ffff
249ff1e:f8::/32ff1e:f8:ffff:ffff:ffff:ffff:ffff:ffff
250ff1e:f9::/32ff1e:f9:ffff:ffff:ffff:ffff:ffff:ffff
251ff1e:fa::/32ff1e:fa:ffff:ffff:ffff:ffff:ffff:ffff
252ff1e:fb::/32ff1e:fb:ffff:ffff:ffff:ffff:ffff:ffff
253ff1e:fc::/32ff1e:fc:ffff:ffff:ffff:ffff:ffff:ffff
254ff1e:fd::/32ff1e:fd:ffff:ffff:ffff:ffff:ffff:ffff
255ff1e:fe::/32ff1e:fe:ffff:ffff:ffff:ffff:ffff:ffff
256ff1e:ff::/32ff1e:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses